import ast
import os.path
import re

from setuptools import setup, find_packages

from io import open

PACKAGE = 'xstream-python'

# get __version__ from __init__.py
_version_re = re.compile(r'__version__\s+=\s+(.*)')
with open(os.path.join(PACKAGE, '__init__.py'), 'rb') as f:
    version = str(ast.literal_eval(_version_re.search(
        f.read().decode('utf-8')).group(1)))

setup(
    name=PACKAGE,
    version=version,
    url='https://github.com/bpeterso2000/' + PACKAGE,
    keywords=[],

    author='Brian Peterson',
    author_email='bpeterso2000@yahoo.com',

    description=('Python for stream processing'),
    long_description='',

    packages=find_packages(include=[PACKAGE]),
    include_package_data=True,
    zipsafe=False,

    classifiers=[
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 3'
    ],
    install_requires=[],
    test_suite='tests',
    test_requires=[
        'pytest-cov>=2.5.1',
        'flake8>=3.5.0',
        'tox>=2.9.1'
    ],
    setup_requires=['pytest-runner'],
)
